cc.funkemunky.api.reflection

## Class MinecraftReflection

- java.lang.Object
- - cc.funkemunky.api.reflection.MinecraftReflection

    public class MinecraftReflection
    extends java.lang.Object

### Field Summary

Fields
`static WrappedConstructor` `aabbConstructor`
`static WrappedField` `aBB`
`static WrappedMethod` `addCBoxes`
`static WrappedClass` `axisAlignedBB`
`static WrappedField` `bBB`
`static WrappedClass` `block`
`static WrappedClass` `blockPos`
`static WrappedConstructor` `blockPosConstructor`
`static WrappedField` `cBB`
`static WrappedField` `dBB`
`static WrappedField` `eBB`
`static WrappedClass` `entity`
`static WrappedField` `entityBoundingBox`
`static WrappedClass` `entityHuman`
`static WrappedClass` `enumAnimation`
`static WrappedMethod` `enumAnimationStack`
`static WrappedField` `fBB`
`static WrappedMethod` `getBlockData`
`static WrappedMethod` `getCubes`
`static WrappedMethod` `getCubesFromVoxelShape`
`static WrappedClass` `iBlockData`
`static WrappedMethod` `idioticOldStaticConstructorAABB`
`static WrappedClass` `itemStack`
`static WrappedClass` `playerInventory`
`static WrappedClass` `voxelShape`
`static WrappedClass` `world`
`static WrappedClass` `worldReader`
`static WrappedClass` `worldServer`

### Constructor Summary

Constructors
Constructor and Description
`MinecraftReflection()`

### Method Summary

All Methods Static Methods Concrete Methods
`static BoundingBox` `fromAABB(java.lang.Object aabb)`
`static WrappedEnumAnimation` `getArmAnimation(org.bukkit.entity.HumanEntity entity)`
`static java.util.List<BoundingBox>` `getBlockBox(org.bukkit.entity.Entity entity, org.bukkit.block.Block block)`
`static java.util.List<BoundingBox>` `getCollidingBoxes(org.bukkit.entity.Entity entity, org.bukkit.World world, BoundingBox box)`
`static BoundingBox` `getEntityBoundingBox(org.bukkit.entity.Entity entity)`
`static WrappedEnumAnimation` `getItemAnimation(org.bukkit.inventory.ItemStack stack)`
`static <T> T` `toAABB(BoundingBox box)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### entity

    public static WrappedClass entity

#### axisAlignedBB

    public static WrappedClass axisAlignedBB

#### entityHuman

    public static WrappedClass entityHuman

#### block

    public static WrappedClass block

#### iBlockData

    public static WrappedClass iBlockData

#### world

    public static WrappedClass world

#### worldServer

    public static WrappedClass worldServer

#### playerInventory

    public static WrappedClass playerInventory

#### itemStack

    public static WrappedClass itemStack

#### enumAnimation

    public static WrappedClass enumAnimation

#### getCubes

    public static WrappedMethod getCubes

#### aBB

    public static WrappedField aBB

#### bBB

    public static WrappedField bBB

#### cBB

    public static WrappedField cBB

#### dBB

    public static WrappedField dBB

#### eBB

    public static WrappedField eBB

#### fBB

    public static WrappedField fBB

#### aabbConstructor

    public static WrappedConstructor aabbConstructor

#### idioticOldStaticConstructorAABB

    public static WrappedMethod idioticOldStaticConstructorAABB

#### entityBoundingBox

    public static WrappedField entityBoundingBox

#### enumAnimationStack

    public static WrappedMethod enumAnimationStack

#### voxelShape

    public static WrappedClass voxelShape

#### worldReader

    public static WrappedClass worldReader

#### getCubesFromVoxelShape

    public static WrappedMethod getCubesFromVoxelShape

#### addCBoxes

    public static WrappedMethod addCBoxes

#### blockPos

    public static WrappedClass blockPos

#### blockPosConstructor

    public static WrappedConstructor blockPosConstructor

#### getBlockData

    public static WrappedMethod getBlockData

### Constructor Detail

#### MinecraftReflection

    public MinecraftReflection()

### Method Detail

#### getArmAnimation

    public static WrappedEnumAnimation getArmAnimation(org.bukkit.entity.HumanEntity entity)

#### getItemAnimation

    public static WrappedEnumAnimation getItemAnimation(org.bukkit.inventory.ItemStack stack)

#### getBlockBox

    public static java.util.List<BoundingBox> getBlockBox(@Nullable
                                                          org.bukkit.entity.Entity entity,
                                                          org.bukkit.block.Block block)

#### getEntityBoundingBox

    public static BoundingBox getEntityBoundingBox(org.bukkit.entity.Entity entity)

#### getCollidingBoxes

    public static java.util.List<BoundingBox> getCollidingBoxes(@Nullable
                                                                org.bukkit.entity.Entity entity,
                                                                org.bukkit.World world,
                                                                BoundingBox box)

#### fromAABB

    public static BoundingBox fromAABB(java.lang.Object aabb)

#### toAABB

    public static <T> T toAABB(BoundingBox box)